version: '3.8'

services:
  web:
    image: git.georgew.dev/georgew/datasaur:latest
    container_name: surveyapp-web
    restart: always
    env_file:
      - .env
    environment:
      - FLASK_APP=site/run.py
      - FLASK_ENV=development
      - PYTHONUNBUFFERED=1
    networks:
      - web_traffic

networks:
  web_traffic:
    external: true
